Loading...
Searching...
No Matches
CFontLoader Class Reference

Class for loading config file. More...

`#include <src/common/font_loader.h>`

## Public Member Functions

bool | Init ()
std::optional< std::string > | GetFont (Gfx::FontType type) const

## Detailed Description

Class for loading config file.

## Member Function Documentation

## Init()

bool CFontLoader::Init | ( |  | ) |

Loads fonts.ini

Returns
  return true on success

## GetFont()

std::optional< std::string > CFontLoader::GetFont | ( | Gfx::FontType | type | ) | const

Reads given font path from file

Returns
  return path to font file if font type is configured

The documentation for this class was generated from the following files:

- src/common/font_loader.h
- src/common/font_loader.cpp